[Fuego] [PATCH 1/6] dbench: check the version of the command

Daniel Sangorrin daniel.sangorrin at toshiba.co.jp
Tue Apr 10 02:48:17 UTC 2018


Signed-off-by: Daniel Sangorrin <daniel.sangorrin at toshiba.co.jp>
---
 engine/tests/Benchmark.dbench4/fuego_test.sh | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/engine/tests/Benchmark.dbench4/fuego_test.sh b/engine/tests/Benchmark.dbench4/fuego_test.sh
index 9890618..9eb28da 100755
--- a/engine/tests/Benchmark.dbench4/fuego_test.sh
+++ b/engine/tests/Benchmark.dbench4/fuego_test.sh
@@ -6,7 +6,18 @@ function test_pre_check {
     assert_define BENCHMARK_DBENCH_MOUNT_POINT
     assert_define BENCHMARK_DBENCH_TIMELIMIT
     assert_define BENCHMARK_DBENCH_NPROCS
+
     is_on_target_path dbench PROGRAM_DBENCH
+    if [ ! -z "$PROGRAM_DBENCH" ]; then
+        help=$(cmd "dbench --help") || true
+        version=$(echo $help | head -1 | cut -d' ' -f 3)
+        if [ "$version" != "4.00" ]; then
+            echo "dbench found on the target but version $version is not supported."
+            PROGRAM_DBENCH=""
+        else
+            echo "dbench found on the target (version $version)."
+        fi
+    fi
 }
 
 function test_build {
-- 
2.7.4




More information about the Fuego mailing list